## com.saxonica.validate
Class ConstraintChecker

    java.lang.Object
      net.sf.saxon.event.SequenceReceiver
          net.sf.saxon.event.ProxyReceiver
              com.saxonica.extra.WatchManager
                  com.saxonica.validate.ConstraintChecker

All Implemented Interfaces:
  javax.xml.transform.Result, Receiver, NamespaceResolver

    public class ConstraintChecker

extends WatchManager

This class handles the checking of Schema-defined unique, key, and keyref constraints. It keeps track of the nesting of elements, and notifies a Watcher class when an element is found that matches a particular Selector.

Field Summary

Fields inherited from class com.saxonica.extra.WatchManager
`activeWatchStack, elementStackTop, EMPTY_WATCH_LIST, watchList`

Fields inherited from class net.sf.saxon.event.ProxyReceiver
`nextReceiver`

Fields inherited from class net.sf.saxon.event.SequenceReceiver
`pipelineConfiguration, previousAtomic, systemId`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`ConstraintChecker()`

Method Summary
`boolean` `isInvalid()`
`void` `setElementDeclaration(ElementDecl decl)` setElementDeclaration is called immediately before the call on startElement.
`void` `setInvalid(boolean invalid)`

Methods inherited from class com.saxonica.extra.WatchManager
`addWatch, attribute, characters, comment, endElement, getURIForPrefix, iteratePrefixes, namespace, processingInstruction, startContent, startElement`

Methods inherited from class net.sf.saxon.event.ProxyReceiver
`append, close, endDocument, getConfiguration, getDocumentLocator, getNamePool, getUnderlyingReceiver, open, setPipelineConfiguration, setSystemId, setUnderlyingReceiver, setUnparsedEntity, startDocument`

Methods inherited from class net.sf.saxon.event.SequenceReceiver
`getPipelineConfiguration, getSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstraintChecker

    public ConstraintChecker()

Method Detail

### setElementDeclaration

    public void setElementDeclaration(ElementDecl decl)
                               throws XPathException

  setElementDeclaration is called immediately before the call on startElement. It identifies the element declaration that defines the just-started element, which in turn is used to create a Watch for constraints originating at this element.

  Throws:
    `XPathException`

### setInvalid

    public void setInvalid(boolean invalid)

### isInvalid

    public boolean isInvalid()

Copyright (c) Saxonica Limited. All rights reserved.